Download it now!
Bug 55673 - CONDITIONAL FORMATTING duplicates not visible
Summary: CONDITIONAL FORMATTING duplicates not visible
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.2.2 release
Hardware: Other All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:3.6.4
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-05 16:44 UTC by th
Modified: 2012-11-07 03:14 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
conditional formatting bug (8.21 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-10-05 16:44 UTC, th
Details

Note You need to log in before you can comment on or make changes to this bug.
Description th 2012-10-05 16:44:37 UTC
Created attachment 68135 [details]
conditional formatting bug

duplicates are not visible in LO 3.6.2

steps to reproduce:

# open an empty spreadsheet
# select cells, eg. a1 to b10
# menu format/conditional formatting / conditional formatting / add / cell value is duplicate
# insert some identical text into selected cells, eg "test"
# duplicates are not visible 

see attached LO3.6.2 spreadsheet
Comment 1 Markus Mohrhard 2012-10-11 05:52:30 UTC
Seems to work in master but the code for the code for the duplicate entry changed extremely between 3-6 branch and master.
Comment 2 Rainer Bielefeld Retired 2012-11-02 18:09:49 UTC
[Reproducible] with reporter's sample "LibreOffice 3.6.3.2” German UI/ German Locale [Build-ID: 58f22d5]" on German WIN7 Home Premium (64bit) 
and
[Reproducible] with Server Installation of  "LibreOffice  3.6.4.0+  English UI/ German Locale [Build-ID: be49b70],{tinderbox: Win-x86@9 pull time 2012-10-31 08:03:29}  on German WIN7 Home Premium (64bit), User-Profile 3.6.4 dailies  

Was still ok with 
- with Server Installation of "LibreOffice 3.6.2.1”  English UI/ German Locale [Build-ID:  da8c1e6] on German WIN7 Home Premium (64bit)
Comment 3 Markus Mohrhard 2012-11-04 18:28:31 UTC
Patch is waiting for review.
Comment 4 Not Assigned 2012-11-05 16:59:56 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=60a3410614dfb1cb9b60e77898bb1f130bd2c742&g=libreoffice-3-6

fix copy paste error, fdo#55673


It will be available in LibreOffice 3.6.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.